.form-group {
  label {
    font-weight: $font-weight-semi-bold;
    color: $secondary;
  }
  @each $color, $value in $theme-colors {
    .#{$color} {
      label {
        color: $value;
      }
    }
  }
}

.is-empty {
  &:hover {
    font-style: italic;
    cursor: pointer;
  }
}

select.form-control {
  transition: none;
  &:not(:disabled):hover {
    cursor: pointer;
  }
  &:focus {
    background-color: $white !important;
  }
}
// should be used when background is light. use .standalone-light below instead
.standalone {
  border-color: darken($body-bg, 10%);
  background-color: $body-bg;
  color: $primary-dark;
  // font-weight: bold;
  transition: all 0.2s ease-out;
}
.form-control {
  @extend .standalone;
  &:focus {
    box-shadow: none;
    color: $primary-dark;
    border-color: $secondary;
    background-color: $white;
    outline: 0;
  }
  &::placeholder {
    color: rgba($color: $primary-dark, $alpha: 0.6);
  }
}

.input-group-text {
  @extend .standalone;
}

.input-group {
  > .form-control:first-child {
    border-right: 0;
  }
  > .form-control:last-child {
    border-left: 0;
  }
  &:focus-within {
    .input-group-text {
      border-color: $input-focus-border-color;
      &.primary {
        border-color: $primary;
      }
    }
  }
}

// below input should not be used when background is white
.standalone-light {
  border-color: $white;
  background-color: $white;
  color: $gray-700;
  transition: all 0.2s ease-out;
}

.form-control.light {
  @extend .standalone-light;
  &:hover {
    background-color: $white;
  }
  &:focus {
    background-color: $white;
    border-color: $input-focus-border-color-light;
    outline: 0;
    box-shadow: none;
  }
}

.form-control.transparent {
  color: darken($color: #94a6bf, $amount: 20%);
  border-color: #94a6bf;
  background-color: transparent;
  &::placeholder {
    color: inherit;
  }
}

.bg-white {
  .form-control.transparent {
    background-color: $white;
  }
}

.bg-dark {
  .form-control.transparent{
    color: #94a6bf;
    border-color: #94a6bf;
    background-color: $dark;
  }
}

.bg-body {
  .form-control {
    background-color: $white;
  }
}

.input-group-text.light {
  @extend .standalone-light;
}
.input-group {
  &:focus-within {
    .input-group-text.light {
      border-color: $input-focus-border-color-light;
    }
  }
}

.search-label {
  display: block;
}

.form-control.primary {
  &:focus {
    border-color: $primary;
  }
}

.main-post-formgroup {
  .input-label-block {
    position: relative;
    margin: 30px 0px;
    &::before {
      content: '\f10d';
      top: -14px;
      left: 0;
    }
    &::after {
      content: '\f10e';
      right: 0;
      bottom: -14px;
    }
    &::before, &::after {
      padding: 3px;
      background-color: $white;
      font-size: 26px;
      color: $primary;
      position: absolute;
      display: inline-block;
      font-family: "Font Awesome 5 Free";
      font-weight: 900;
      -moz-osx-font-smoothing: grayscale;
      -webkit-font-smoothing: antialiased;
      font-style: normal;
      font-variant: normal;
      text-rendering: auto;
      line-height: 1;
    }
  }
  label {
    display: block;
    cursor: text;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
  }
  .form-control {
    min-height: 100px;
    margin-bottom: 0;
    padding: 20px;
    &:focus, &:not(:placeholder-shown) {
      + label {
        display: none;
      }
    }
  }
  .btn {
    font-weight: $font-weight-semi-bold;
  }
}

%floating-label {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 100%;
  margin-bottom: 0; /* Override default `<label>` margin */
  line-height: 1.5;
  color: #495057;
  pointer-events: none;
  cursor: text; /* Match the input under the label */
  border: 1px solid transparent;
  border-radius: .25rem;
  transition: all .1s ease-in-out;
}

// Multi Select
.multi-select {
  --rmsc-primary: var(--light) !important;
  --rmsc-gray: #000 !important;
  .dropdown-container {
    position: relative;
    @extend .form-control;
    @extend select.form-control;
    $bg-size: 1rem;
    $bg-offset: .5rem;
    transition: none;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right $bg-offset center;
    background-size: $bg-size;
    padding-right: 2 * $bg-offset + $bg-size;
    appearance: none;
    // background-image: none !important;
    &[aria-expanded="true"] {
      @extend .form-control:focus;
    }
  }
  .dropdown-heading {
    height: initial;
    padding: 0;
    cursor: pointer;
    position: static;
    @extend .stretched-link;
    &:after {
      z-index: 0 !important;
    }
  }
  .dropdown-heading-dropdown-arrow {
    display: none;
  }
  .dropdown-content {
    left: 0;
    margin-bottom: 2rem;
  }
  .panel-content {
    // padding: 10px;
    .go2885254090 {
      @extend .position-sticky;
      background-color: $white;
      top: 0;
      z-index: 1;
    }
  }
  .select-item {
    margin: 0;
    padding-left: 2.5rem;
    font-family: $font-family-base;
    @extend .custom-control;
    @extend .custom-checkbox;
    font-weight: $font-weight-normal;
    input[type="checkbox"] {
      @extend .custom-control-input;
    }
    span {
      @extend .custom-control-label;
    }
  }

  &.has-label {
    .dropdown-container {
      height: initial;
      padding-top: 1.25rem;
      padding-bottom: .25rem;
      &:before {
        content: attr(aria-labelledby);
        @extend %floating-label;
        height: 3.125rem;
        padding: .25rem .75rem;
        font-size: 12px;
        color: #777;
      }
    }
  }

  &.bg-white {
    .dropdown-container {
      background-color: $white;
    }
  }
}

.type-file-block {
  position: relative;
  label {
    display: block;
    width: 100%;
    padding: 3rem 2rem;
    text-align: center;
    font-family: $headings-font-family;
    font-size: 1.5rem;
    text-transform: uppercase;
    border: 2px dashed gray;
    color: $gray-700;
    cursor: pointer;
    transition: all 0.2s;
    &:hover {
      background-color: $light;
      border-color: $primary;
    }
  }
  input {
    position: absolute;
    opacity: 0;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    cursor: pointer;
    &:hover {
      + label {
        background-color: $light;
        border-color: $primary;
      }
    }
  }
}
.form-control.bg-search {
  background-image: url('../../assets/images/search.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-size: 16px;
  background-position: center right 5px;
  padding-right: 30px;
}

.modal {
  .form-control {
    background-color: $white;
    border-color: $gray-400;
  }
}
.add-comment-input {
  border: 1px solid $primary;
  color: $primary;
  padding: 4px 10px;
  font-size: 16px;

  &:focus {
    color: $primary;
  }

  &::placeholder {
    color: #D5D6E5;
    opacity: 1;
    font-size: 14px;
  }
}

.search-block-input {
  border: 1px solid #e4e3da;
  border-top: 1px solid #afaea8;
  color: #325271;
  // font-family: 'museo_sans500';
  padding: 0 30px 0 6px;
  font-size: 14px;
  height: 30px;
  line-height: 30px;
  width: 150px;
  background-color: #E8E7DF;

  // background: linear-gradient(#E8E7DF, #edebe3);
  &:focus {
    background-color: #E8E7DF;
    // background: linear-gradient(#E8E7DF, #edebe3);
    border: 1px solid #e4e3da;
    border-top: 1px solid #afaea8;
  }
}